DateTimeZone::listAbbreviations
DateInterval
DateTimeZone
PHP Manual

# DateTimeZone::listIdentifiers

# timezone_identifiers_list

Returns a numerically indexed array containing all defined timezone identifiers

### Description

Object oriented style

public static array DateTimeZone::listIdentifiers ([ int `$what` = DateTimeZone::ALL [, string `$country` = `NULL` ]] )

Procedural style

array timezone_identifiers_list ([ int `$what` = DateTimeZone::ALL [, string `$country` = `NULL` ]] )

### Parameters

`what`

  One of DateTimeZone class constants.

`country`

  A two-letter ISO 3166-1 compatible country code.

  > Note: This option is only used when `what` is set to `DateTimeZone::PER_COUNTRY`.

### Return Values

Returns array on success or `FALSE` on failure.

### Changelog

Version | Description
--- | ---
5.3.0 | Added the optional `what` and `country` parameters.

### Examples

Example #1 A timezone_identifiers_list example

`<?php
$timezone_identifiers = DateTimeZone::listIdentifiers();
for ($i=0; $i < 5; $i++) {
echo "$timezone_identifiers[$i]\n";
}
?>`

The above example will output something similar to:

    Africa/Abidjan
    Africa/Accra
    Africa/Addis_Ababa
    Africa/Algiers
    Africa/Asmara

### See Also

- timezone_abbreviations_list